POST /hos/dutystatus

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The post duty status API enables the setting of a user’s duty status to On Duty or Off Duty.

🚧

FMCSA Compliance Note

To ensure compliance with the ELD Mandate, only authenticated users may change their duty status and changing duty status must be triggered by a driver's action and not done through scheduled or automatic means. Fleets and carriers are ultimately responsible for maintaining accurate ELD logs and for ensuring that the use of this endpoint is compliant with FMCSA requirements.

400 Failure Descriptions

If a request to insert a duty status fails, one of the following failure messages will be sent back in the HTTP response.

Failure Descriptions
Insert <On, Off> duty status failed. externalUserId <requested user id> does not exist.
  • Check to make sure that the user you are trying to update exists
Insert <On, Off> duty status failed. externalUserId <requested user id> is not configured for ELD use.
  • Check to make sure that the user you are trying to update had ELD permissions.
Insert <On, Off> duty status failed. externalVehicleId <requested vehicle id> does not exist.
  • Check to make sure that the user you are trying to update exists
Insert <On, Off> duty status failed. Requested datetime <requested date time> is more than 24 hours in the past.
Insert <On, Off> duty status failed. Requested datetime <requested date time> is not a correctly formatted ISO 8601 datetime.
Insert duty status failed. Event type, <event type> not valid. Please use either “OFF” or “ON”.
Insert <On, Off> duty status failed. Driver has already certified log related to <requested date time>.
Insert <On, Off> duty status failed. Driver in drive, PC or YM at the requested insertion time, <requested date time>.
Insert <On, Off> duty status failed. Invalid JSON.
Insert <On, Off> duty status failed. Other system error.
Body Params
string
Defaults to SJONES

REQUIRED. Unique external identifier of driver whose duty status is being inserted

date
Defaults to 2021-10-04T16:59:44Z

REQUIRED. Timestamp that the record took place. Must be within the previous 24 hours. Note timezone is required. ISO 8601 compliant.

string
enum
Defaults to ON

REQUIRED. The duty status type. Either “OFF” or “ON”.

Allowed:
string
Defaults to Timeclock punch #839423

Duty status comment. The comment is displayed whenever the On or Off Duty event is displayed, including data file transfer.

string
Defaults to D83492

Unique external identifier for the vehicle associated to the duty status change.

int64
Defaults to 43.25356

Latitude where the duty status took place.

int64
Defaults to -70.23483

Longitude where the duty status took place.

string
Defaults to PGH

Terminal Id where the duty status change took place. Used for providing geolocation.

string

Open text field describing the location of the duty status change if a precise geolocation is not available.

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json